<?php
/**
 * The default post template
 */
?>

<?php
if ( is_singular() ) {
	$disable_media = engic_eutf_post_meta( '_engic_eutf_disable_media' );
?>

	<article id="post-<?php the_ID(); ?>" <?php post_class('eut-single-post'); ?> itemscope itemType="http://schema.org/BlogPosting">
		<?php engic_eutf_print_post_structured_data(); ?>
		<?php
			if ( engic_eutf_visibility( 'post_feature_image_visibility', '1' ) && 'yes' != $disable_media && has_post_thumbnail() && !post_password_required() ) {
		?>
		<div id="eut-single-media">
			<div class="eut-media">
				<?php the_post_thumbnail( 'large' ); ?>
			</div>
		</div>
		<?php
			}
		?>

		<div id="eut-post-content">
			<?php engic_eutf_print_post_header_title( 'content' ); ?>
			<?php engic_eutf_print_post_meta(); ?>
			<div itemprop="articleBody">
				<?php the_content(); ?>
			</div>
		</div>
	</article>

<?php
} else {
	$engic_eutf_post_class = engic_eutf_get_post_class();
?>

	<article id="post-<?php the_ID(); ?>" <?php post_class( $engic_eutf_post_class ); ?> itemscope itemType="http://schema.org/BlogPosting">
		<?php do_action( 'engic_eutf_inner_post_loop_item_before' ); ?>
		<?php engic_eutf_print_post_structured_data(); ?>
		<?php engic_eutf_print_post_feature_media( 'image' ); ?>
		<div class="eut-post-content">
			<?php do_action( 'engic_eutf_inner_post_loop_item_title_link' ); ?>
			<div class="eut-small-text eut-post-meta">
				<?php engic_eutf_print_post_author_by(); ?>
				<?php engic_eutf_print_post_date(); ?>
				<?php engic_eutf_print_like_counter(); ?>
			</div>
			<div itemprop="articleBody">
				<?php engic_eutf_print_post_excerpt(); ?>
			</div>
		</div>
		<?php do_action( 'engic_eutf_inner_post_loop_item_after' ); ?>
	</article>

<?php

}

//Omit closing PHP tag to avoid accidental whitespace output errors.
