<?php
/**
 *  Add Dynamic css to header
 *  @version	1.0
 *  @author		Euthemians Team
 *  @URI		http://euthemians.com
 */


function engic_eutf_print_gap_size( $engic_eutf_gap_size = array()) {

	$css = '';

	foreach ( $engic_eutf_gap_size as $size ) {

		$engic_eutf_gap_size = $size['gap'];
		$engic_eutf_gap_half_size = $size['gap'] * 0.5;

		$css .= "

			.eut-section.eut-column-gap-" . esc_attr( $size['gap'] ) . " .eut-row {
				margin-left: -" . esc_attr( $engic_eutf_gap_half_size ) . "px;
				margin-right: -" . esc_attr( $engic_eutf_gap_half_size ) . "px;
			}
			.eut-section.eut-column-gap-" . esc_attr( $size['gap'] ) . " .eut-column {
				padding-left: " . esc_attr( $engic_eutf_gap_half_size ) . "px;
				padding-right: " . esc_attr( $engic_eutf_gap_half_size ) . "px;
			}
			.eut-section.eut-section[data-section-type='fullwidth-element'].eut-column-gap-" . esc_attr( $size['gap'] ) . " .eut-row {
				padding-left: " . esc_attr( $engic_eutf_gap_half_size ) . "px;
				padding-right: " . esc_attr( $engic_eutf_gap_half_size ) . "px;
				margin-left: 0px;
				margin-right: 0px;
			}

		";

	}

	return $css;
}

add_action('wp_head', 'engic_eutf_load_dynamic_css');

if ( !function_exists( 'engic_eutf_load_dynamic_css' ) ) {

	function engic_eutf_load_dynamic_css() {
		include_once get_template_directory() . '/includes/eut-dynamic-typography-css.php';
		include_once get_template_directory() . '/includes/eut-dynamic-css.php';
		if ( engic_eutf_bbpress_enabled() ) {
			include_once get_template_directory() . '/includes/eut-dynamic-bbpress-css.php';
		}
		if ( engic_eutf_woo_enabled() ) {
			include_once get_template_directory() . '/includes/eut-dynamic-woo-css.php';
		}
		$custom_css_code = engic_eutf_option( 'css_code' );
		if ( !empty( $custom_css_code ) ) {
			echo engic_eutf_get_css_output( $custom_css_code );
		}
	}
}

//Omit closing PHP tag to avoid accidental whitespace output errors.
