<?php
	$tablet_class = $el_class = '';

	extract(
		shortcode_atts(
			array(
				'width' => '1/1',
				'font_color' => '',
				'desktop_hide' => '',
				'tablet_width' => '',
				'tablet_sm_width' => '',
				'mobile_width' => '',
				'el_class' => '',
				'el_id' => '',
				'offset' => '',
				'css' => '',
				'column_has_gap' => '',
			),
			$atts
		)
	);

	switch( $width ) {
		case '1/12':
			$shortcode_column = '1-12';
			break;
		case '1/6':
			$shortcode_column = '1-6';
			break;
		case '1/4':
			$shortcode_column = '1-4';
			break;
		case '1/3':
			$shortcode_column = '1-3';
			break;
		case '5/12':
			$shortcode_column = '5-12';
			break;
		case '1/2':
			$shortcode_column = '1-2';
			break;
		case '7/12':
			$shortcode_column = '7-12';
			break;
		case '2/3':
		case '4/6':
			$shortcode_column = '2-3';
			break;
		case '3/4':
			$shortcode_column = '3-4';
			break;
		case '5/6':
			$shortcode_column = '5-6';
			break;
		case '11/12':
			$shortcode_column = '11-12';
			break;
		case '1/5':
			$shortcode_column = '1-5';
			break;
		case '2/5':
			$shortcode_column = '2-5';
			break;
		case '3/5':
			$shortcode_column = '3-5';
			break;
		case '4/5':
			$shortcode_column = '4-5';
			break;
		case '1/1':
		default :
			$shortcode_column = '1';
			break;
	}

	$css_custom = engic_eutf_vc_shortcode_custom_css_class( $css, '' );
	$style = engic_eutf_vc_build_shortcode_style( '', $font_color );


	$column_classes = array( 'eut-column', 'wpb_column' );

	array_push( $column_classes, 'eut-column-' . $shortcode_column );

	if ( !empty( $css_custom ) && 'yes' != $column_has_gap ) {
		array_push( $column_classes, $css_custom );
	}

	if( vc_settings()->get( 'not_responsive_css' ) != '1') {

		if ( !empty( $desktop_hide ) ) {
			array_push( $column_classes, 'eut-desktop-column-' . $desktop_hide );
		}
		if ( !empty( $tablet_width ) ) {
			array_push( $column_classes, 'eut-tablet-column-' . $tablet_width );
		}
		if ( !empty( $tablet_sm_width ) ) {
			array_push( $column_classes, 'eut-tablet-sm-column-' . $tablet_sm_width );
		} else {
			if ( !empty( $tablet_width ) ) {
				array_push( $column_classes, 'eut-tablet-sm-column-' . $tablet_width );
			}
		}
		if ( !empty( $mobile_width ) ) {
			array_push( $column_classes, 'eut-mobile-column-' . $mobile_width );
		}
	}

	if ( !empty ( $el_class ) ) {
		array_push( $column_classes, $el_class);
	}
	if ( !empty ( $responsive_class ) ) {
		array_push( $column_classes, $responsive_class);
	}

	$column_string = implode( ' ', $column_classes );


	$column_attributes = array();
	$column_attributes[] = 'class="' . esc_attr( trim( $column_string ) ) . '"';
	if ( ! empty( $el_id ) ) {
		$column_attributes[] = 'id="' . esc_attr( $el_id ) . '"';
	}
	if ( ! empty( $style ) && 'yes' != $column_has_gap ) {
		$column_attributes[] = $style;
	}

	// Wrapper Classes
	$wrapper_classes = array( 'eut-column-wrapper' );

	if ( !empty( $css_custom ) && 'yes' == $column_has_gap ) {
		array_push( $wrapper_classes, $css_custom );
	}

	$wrapper_string = implode( ' ', $wrapper_classes );

	$wrapper_attributes = array();
	$wrapper_attributes[] = 'class="' . esc_attr( trim( $wrapper_string ) ) . '"';

	if ( ! empty( $style ) && 'yes' == $column_has_gap ) {
		$wrapper_attributes[] = $style;
	}

	if ( 'yes' == $column_has_gap ) {
		echo '<div ' . implode( ' ', $column_attributes ) . '>';
		echo '<div ' . implode( ' ', $wrapper_attributes ) . '>' . do_shortcode( $content ) . '</div>';
		echo '</div>';
	} else {
		echo '<div ' . implode( ' ', $column_attributes ) . '>' . do_shortcode( $content ) . '</div>';
	}

//Omit closing PHP tag to avoid accidental whitespace output errors.
