<?php

/*
 *	Helper functions
 *
 * 	@version	1.0
 * 	@author		Euthemians Team
 * 	@URI		http://euthemians.com
 */



 /**
 * Generic Parameters to reuse
 * Used in vc shortcodes
 */

if( !function_exists( 'engic_ext_vce_add_animation_delay' ) ) {
	function engic_ext_vce_add_animation_delay() {
		return array(
			"type" => "textfield",
			"heading" => esc_html__('Css Animation Delay', 'engic-extension'),
			"param_name" => "animation_delay",
			"value" => '200',
			"description" => esc_html__( "Add delay in milliseconds.", "engic-extension" ),
		);
	}
}

if( !function_exists( 'engic_ext_vce_add_animation' ) ) {
	function engic_ext_vce_add_animation() {
		return array(
			"type" => "dropdown",
			"heading" => esc_html__("CSS Animation", "engic-extension"),
			"param_name" => "animation",
			"admin_label" => true,
			"value" => array(
				esc_html__( "No", "engic-extension" ) => '',
				esc_html__( "Fade In", "engic-extension" ) => "fadeIn",
				esc_html__( "Fade In Up", "engic-extension" ) => "fadeInUp",
				esc_html__( "Fade In Down", "engic-extension" ) => "fadeInDown",
				esc_html__( "Fade In Left", "engic-extension" ) => "fadeInLeft",
				esc_html__( "Fade In Right", "engic-extension" ) => "fadeInRight",
			),
			"description" => esc_html__("Select type of animation if you want this element to be animated when it enters into the browsers viewport. Note: Works only in modern browsers.", "engic-extension" ),
		);
	}
}

if( !function_exists( 'engic_ext_vce_add_margin_bottom' ) ) {
	function engic_ext_vce_add_margin_bottom() {
		return array(
			"type" => "textfield",
			"heading" => esc_html__('Bottom margin', 'engic-extension'),
			"param_name" => "margin_bottom",
			"description" => esc_html__( "You can use px, em, %, etc. or enter just number and it will use pixels.", "engic-extension" ),
		);
	}
}

if( !function_exists( 'engic_ext_vce_add_el_class' ) ) {
	function engic_ext_vce_add_el_class() {
		return array(
			"type" => "textfield",
			"heading" => esc_html__( "Extra class name", "engic-extension" ),
			"param_name" => "el_class",
			"description" => esc_html__( "If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", "engic-extension" ),
		);
	}
}

if( !function_exists( 'engic_ext_vce_add_align' ) ) {
	function engic_ext_vce_add_align() {
		return array(
			"type" => "dropdown",
			"heading" => esc_html__( "Alignment", "engic-extension" ),
			"param_name" => "align",
			"value" => array(
				esc_html__( "Left", "engic-extension" ) => 'left',
				esc_html__( "Right", "engic-extension" ) => 'right',
				esc_html__( "Center", "engic-extension" ) => 'center',
			),
			"description" => '',
			"admin_label" => true,
		);
	}
}

if( !function_exists( 'engic_ext_vce_add_button_type' ) ) {
	function engic_ext_vce_add_button_type() {
		return array(
			"type" => "dropdown",
			"heading" => esc_html__( "Button type", "engic-extension" ),
			"param_name" => "button_type",
			"value" => array(
				esc_html__( "Simple", "engic-extension" ) => 'simple',
				esc_html__( "Outline", "engic-extension" ) => 'outline',
			),
			"description" => esc_html__( "Select button type.", "engic-extension" ),
			"group" => esc_html__( "Button", "engic-extension" ),
		);
	}
}

if( !function_exists( 'engic_ext_vce_add_button_color' ) ) {
	function engic_ext_vce_add_button_color() {
		return array(
			"type" => "dropdown",
			"heading" => esc_html__( "Button Color", "engic-extension" ),
			"param_name" => "button_color",
			"value" => array(
				esc_html__( "Primary 1", "engic-extension" ) => 'primary-1',
				esc_html__( "Primary 2", "engic-extension" ) => 'primary-2',
				esc_html__( "Primary 3", "engic-extension" ) => 'primary-3',
				esc_html__( "Primary 4", "engic-extension" ) => 'primary-4',
				esc_html__( "Primary 5", "engic-extension" ) => 'primary-5',
				esc_html__( "Green", "engic-extension" ) => 'green',
				esc_html__( "Orange", "engic-extension" ) => 'orange',
				esc_html__( "Red", "engic-extension" ) => 'red',
				esc_html__( "Blue", "engic-extension" ) => 'blue',
				esc_html__( "Aqua", "engic-extension" ) => 'aqua',
				esc_html__( "Purple", "engic-extension" ) => 'purple',
				esc_html__( "Black", "engic-extension" ) => 'black',
				esc_html__( "Grey", "engic-extension" ) => 'grey',
				esc_html__( "White", "engic-extension" ) => 'white',
			),
			"description" => esc_html__( "Color of the button.", "engic-extension" ),
			"group" => esc_html__( "Button", "engic-extension" ),
		);
	}
}

if( !function_exists( 'engic_ext_vce_add_button_text' ) ) {
	function engic_ext_vce_add_button_text() {
		return array(
			"type" => "textfield",
			"heading" => esc_html__( "Button Text", "engic-extension" ),
			"param_name" => "button_text",
			"save_always" => true,
			"admin_label" => true,
			"value" => "Button",
			"description" => esc_html__( "Text of the button.", "engic-extension" ),
			"group" => esc_html__( "Button", "engic-extension" ),
		);
	}
}

if( !function_exists( 'engic_ext_vce_add_button_size' ) ) {
	function engic_ext_vce_add_button_size() {
		return array(
			"type" => "dropdown",
			"heading" => esc_html__( "Button Size", "engic-extension" ),
			"param_name" => "button_size",
			"value" => array(
				esc_html__( "Extra Small", "engic-extension" ) => 'extrasmall',
				esc_html__( "Small", "engic-extension" ) => 'small',
				esc_html__( "Medium", "engic-extension" ) => 'medium',
				esc_html__( "Large", "engic-extension" ) => 'large',
				esc_html__( "Extra Large", "engic-extension" ) => 'extralarge',
			),
			"description" => '',
			"std" => 'medium',
			"group" => esc_html__( "Button", "engic-extension" ),
		);
	}
}

if( !function_exists( 'engic_ext_vce_add_button_shape' ) ) {
	function engic_ext_vce_add_button_shape() {
		return array(
			"type" => "dropdown",
			"heading" => esc_html__( "Button Shape", "engic-extension" ),
			"param_name" => "button_shape",
			"value" => array(
				esc_html__( "Square", "engic-extension" ) => 'square',
				esc_html__( "Round", "engic-extension" ) => 'round',
				esc_html__( "Extra Round", "engic-extension" ) => 'extra-round',
			),
			"description" => '',
			"std" => 'square',
			"group" => esc_html__( "Button", "engic-extension" ),
		);
	}
}

if( !function_exists( 'engic_ext_vce_add_button_link' ) ) {
	function engic_ext_vce_add_button_link() {
		return array(
			"type" => "vc_link",
			"heading" => esc_html__( "Button Link", "engic-extension" ),
			"param_name" => "button_link",
			"value" => "",
			"description" => esc_html__( "Enter link.", "engic-extension" ),
			"group" => esc_html__( "Button", "engic-extension" ),
		);
	}
}

if( !function_exists( 'engic_ext_vce_add_button_class' ) ) {
	function engic_ext_vce_add_button_class() {
		return array(
			"type" => "textfield",
			"heading" => esc_html__( "Button class name", "engic-extension" ),
			"param_name" => "button_class",
			"description" => esc_html__( "If you wish to style your button differently, then use this field to add a class name and then refer to it in your css file.", "engic-extension" ),
			"group" => esc_html__( "Button", "engic-extension" ),
		);
	}
}

if( !function_exists( 'engic_ext_vce_add_order_by' ) ) {
	function engic_ext_vce_add_order_by() {
		return array(
			"type" => "dropdown",
			"heading" => esc_html__( "Order By", "engic-extension" ),
			"param_name" => "order_by",
			"value" => array(
				esc_html__( "Date", "engic-extension" ) => 'date',
				esc_html__( "Last modified date", "engic-extension" ) => 'modified',
				esc_html__( "Number of comments", "engic-extension" ) => 'comment_count',
				esc_html__( "Title", "engic-extension" ) => 'title',
				esc_html__( "Author", "engic-extension" ) => 'author',
				esc_html__( "Random", "engic-extension" ) => 'rand',
			),
			"description" => '',
			"admin_label" => true,
		);
	}
}

if( !function_exists( 'engic_ext_vce_add_order' ) ) {
	function engic_ext_vce_add_order() {
		return array(
			"type" => "dropdown",
			"heading" => esc_html__( "Order", "engic-extension" ),
			"param_name" => "order",
			"value" => array(
				esc_html__( "Descending", "engic-extension" ) => 'DESC',
				esc_html__( "Ascending", "engic-extension" ) => 'ASC'
			),
			"dependency" => Array( 'element' => "order_by", 'value' => array( 'date', 'modified', 'comment_count', 'name', 'author', 'title' ) ),
			"description" => '',
			"admin_label" => true,
		);
	}
}

if( !function_exists( 'engic_ext_vce_add_slideshow_speed' ) ) {
	function engic_ext_vce_add_slideshow_speed() {
		return array(
			"type" => "textfield",
			"heading" => esc_html__( "Slideshow Speed", "engic-extension" ),
			"param_name" => "slideshow_speed",
			"value" => '3000',
			"description" => esc_html__( "Slideshow Speed in ms.", "engic-extension" ),
		);
	}
}

if( !function_exists( 'engic_ext_vce_add_pagination_speed' ) ) {
	function engic_ext_vce_add_pagination_speed() {
		return array(
			"type" => "textfield",
			"heading" => esc_html__( "Pagination Speed", "engic-extension" ),
			"param_name" => "pagination_speed",
			"value" => '400',
			"description" => esc_html__( "Pagination Speed in ms.", "engic-extension" ),
		);
	}
}

if( !function_exists( 'engic_ext_vce_add_navigation_type' ) ) {
	function engic_ext_vce_add_navigation_type() {
		return array(
			"type" => "dropdown",
			"heading" => esc_html__( "Navigation Type", "engic-extension" ),
			"param_name" => "navigation_type",
			'value' => array(
				esc_html__( 'Style 1' , 'engic-extension' ) => '1',
				esc_html__( 'Style 2' , 'engic-extension' ) => '2',
				esc_html__( 'Style 3' , 'engic-extension' ) => '3',
				esc_html__( 'Style 4' , 'engic-extension' ) => '4',
				esc_html__( 'No Navigation' , 'engic-extension' ) => '0',
			),
			"description" => esc_html__( "Select your Navigation type.", "engic-extension" ),
		);
	}
}

if( !function_exists( 'engic_ext_vce_add_navigation_color' ) ) {
	function engic_ext_vce_add_navigation_color() {
		return array(
			"type" => "dropdown",
			"heading" => esc_html__( "Navigation Color", "engic-extension" ),
			"param_name" => "navigation_color",
			'value' => array(
				esc_html__( 'Dark' , 'engic-extension' ) => 'dark',
				esc_html__( 'Light' , 'engic-extension' ) => 'light',
			),
			"description" => esc_html__( "Select the background Navigation color.", "engic-extension" ),
		);
	}
}

if( !function_exists( 'engic_ext_vce_add_auto_height' ) ) {
	function engic_ext_vce_add_auto_height() {
		return array(
			"type" => 'checkbox',
			"heading" => esc_html__( "Auto Height", "engic-extension" ),
			"param_name" => "auto_height",
			"value" => Array( esc_html__( "Select if you want smooth auto height", "engic-extension" ) => 'yes' ),
		);
	}
}

//Omit closing PHP tag to avoid accidental whitespace output errors.
