<?php

/*
 *	Metabox functions
 *
 * 	@version	1.0
 * 	@author		Euthemians Team
 * 	@URI		http://euthemians.com
 */


/**
 * Functions to print global metaboxes
 */
add_action( 'add_meta_boxes', 'engic_ext_page_options_add_custom_boxes' );

function engic_ext_page_options_add_custom_boxes() {

	if ( function_exists( 'vc_is_inline' ) && vc_is_inline() ) {
		return;
	}

	//General Page Options
	if ( function_exists( 'engic_eutf_page_options_box' ) ) {
		add_meta_box(
			'eut-page-options-metabox',
			esc_html__( 'Page Options', 'engic-extension' ),
			'engic_eutf_page_options_box',
			'page'
		);
	}
	if ( function_exists( 'engic_eutf_page_feature_section_box' ) ) {
		add_meta_box(
			'eut-feature-section-metabox',
			esc_html__( 'Feature Section', 'engic-extension' ),
			'engic_eutf_page_feature_section_box',
			'page'
		);
	}
}

/**
 * Functions to print portfolio metaboxes
 */

add_action( 'add_meta_boxes', 'engic_ext_portfolio_options_add_custom_boxes' );

function engic_ext_portfolio_options_add_custom_boxes() {

	if ( function_exists( 'vc_is_inline' ) && vc_is_inline() ) {
		return;
	}

	if ( function_exists( 'engic_eutf_portfolio_options_box' ) ) {
		add_meta_box(
			'eut-portfolio-options-metabox',
			esc_html__( 'Portfolio Options', 'engic-extension' ),
			'engic_eutf_portfolio_options_box',
			'portfolio'
		);
	}
	if ( function_exists( 'engic_eutf_portfolio_link_mode_box' ) ) {
		add_meta_box(
			'eut-portfolio-link-mode-metabox',
			esc_html__( 'Portfolio Link Options', 'engic-extension' ),
			'engic_eutf_portfolio_link_mode_box',
			'portfolio'
		);
	}
	if ( function_exists( 'engic_eutf_portfolio_media_section_box' ) ) {
		add_meta_box(
			'eut-portfolio-media-section-metabox',
			esc_html__( 'Portfolio Media', 'engic-extension' ),
			'engic_eutf_portfolio_media_section_box',
			'portfolio'
		);
	}
	if ( function_exists( 'engic_eutf_portfolio_feature_section_box' ) ) {
		add_meta_box(
			'eut-feature-section-metabox',
			esc_html__( 'Feature Section', 'engic-extension' ),
			'engic_eutf_portfolio_feature_section_box',
			'portfolio'
		);
	}	

}

/**
 * Functions to print post metaboxes
 */
add_action( 'add_meta_boxes', 'engic_ext_post_options_add_custom_boxes' );

function engic_ext_post_options_add_custom_boxes() {

	if ( function_exists( 'vc_is_inline' ) && vc_is_inline() ) {
		return;
	}

	if ( function_exists( 'engic_eutf_meta_box_post_format_gallery' ) ) {
		add_meta_box(
			'eut-meta-box-post-format-gallery',
			esc_html__( 'Gallery Format Options', 'engic-extension' ),
			'engic_eutf_meta_box_post_format_gallery',
			'post'
		);
	}
	if ( function_exists( 'engic_eutf_meta_box_post_format_link' ) ) {
		add_meta_box(
			'eut-meta-box-post-format-link',
			esc_html__( 'Link Format Options', 'engic-extension' ),
			'engic_eutf_meta_box_post_format_link',
			'post'
		);
	}
	if ( function_exists( 'engic_eutf_meta_box_post_format_quote' ) ) {
		add_meta_box(
			'eut-meta-box-post-format-quote',
			esc_html__( 'Quote Format Options', 'engic-extension' ),
			'engic_eutf_meta_box_post_format_quote',
			'post'
		);
	}
	if ( function_exists( 'engic_eutf_meta_box_post_format_video' ) ) {
		add_meta_box(
			'eut-meta-box-post-format-video',
			esc_html__( 'Video Format Options', 'engic-extension' ),
			'engic_eutf_meta_box_post_format_video',
			'post'
		);
	}
	if ( function_exists( 'engic_eutf_meta_box_post_format_audio' ) ) {
		add_meta_box(
			'eut-meta-box-post-format-audio',
			esc_html__( 'Audio Format Options', 'engic-extension' ),
			'engic_eutf_meta_box_post_format_audio',
			'post'
		);
	}
	
	if ( function_exists( 'engic_eutf_post_options_box' ) ) {
		add_meta_box(
			'eut-post-options-metabox',
			esc_html__( 'Post Options', 'engic-extension' ),
			'engic_eutf_post_options_box',
			'post'
		);
	}

	if ( function_exists( 'engic_eutf_post_feature_section_box' ) ) {
		add_meta_box(
			'eut-feature-section-metabox',
			esc_html__( 'Feature Section', 'engic-extension' ),
			'engic_eutf_post_feature_section_box',
			'post'
		);
	}		

}

/**
 * Functions to print product metaboxes
 */

add_action( 'add_meta_boxes', 'engic_ext_product_options_add_custom_boxes' );

function engic_ext_product_options_add_custom_boxes() {

	if ( function_exists( 'engic_eutf_product_options_box' ) ) {
		add_meta_box(
			'eut-product-options-metabox',
			esc_html__( 'Product Options', 'engic-extension' ),
			'engic_eutf_product_options_box',
			'product'
		);
	}

}



/**
 * Functions to print testimonial metaboxes
 */

add_action( 'add_meta_boxes', 'engic_ext_testimonial_options_add_custom_boxes' );

function engic_ext_testimonial_options_add_custom_boxes() {

	if ( function_exists( 'engic_eutf_testimonial_options_box' ) ) {
		add_meta_box(
			'eut-testimonial-options-metabox',
			esc_html__( 'Testimonial Options', 'engic-extension' ),
			'engic_eutf_testimonial_options_box',
			'testimonial'
		);
	}

}
//Omit closing PHP tag to avoid accidental whitespace output errors.
