<?php
/**
 * Blog Shortcode
 */

if( !function_exists( 'engic_ext_blog_shortcode' ) ) {

	function engic_ext_blog_shortcode( $atts, $content ) {

		$output = $allow_filter = $el_class = $data_string = '';

		extract(
			shortcode_atts(
				array(
					'categories' => '',
					'exclude_posts' => '',
					'include_posts' => '',
					'blog_style' => 'large-media',
					'blog_mode' => 'no-shadow-mode',
					'blog_image_mode' => '',
					'blog_image_prio' => '',
					'columns' => '4',
					'columns_tablet_landscape' => '2',
					'columns_tablet_portrait' => '2',
					'columns_mobile' => '1',
					'auto_excerpt' => '',
					'excerpt_length' => '55',
					'excerpt_more' => '',
					'hide_comments' => '',
					'posts_per_page' => '10',
					'order_by' => 'date',
					'order' => 'DESC',
					'disable_pagination' => '',
					'blog_filter' => '',
					'blog_filter_align' => 'left',
					'filter_order_by' => '',
					'filter_order' => 'ASC',
					'item_spinner' => 'no',
					'items_per_page' => '4',
					'slideshow_speed' => '3000',
					'navigation_type' => '1',
					'navigation_color' => 'dark',
					'pause_hover' => 'no',
					'animation' => 'fadeInUp',
					'margin_bottom' => '',
					'el_class' => '',
				),
				$atts
			)
		);

		if ( !empty( $animation ) ) {
			$animation = 'eut-' . $animation;
		}

		$style = engic_ext_vce_build_margin_bottom_style( $margin_bottom );

		$blog_classes = array( 'eut-element' );

		switch( $blog_style ) {

			case 'masonry':
				$data_string .= 'data-columns="' . esc_attr( $columns ) . '" data-columns-tablet-landscape="' . esc_attr( $columns_tablet_landscape ) . '" data-columns-tablet-portrait="' . esc_attr( $columns_tablet_portrait ) . '" data-columns-mobile="' . esc_attr( $columns_mobile ) . '" data-layout="masonry" data-spinner="' . esc_attr( $item_spinner ) . '"';
				break;
			case 'grid':
				$data_string .= 'data-columns="' . esc_attr( $columns ) . '" data-columns-tablet-landscape="' . esc_attr( $columns_tablet_landscape ) . '" data-columns-tablet-portrait="' . esc_attr( $columns_tablet_portrait ) . '" data-columns-mobile="' . esc_attr( $columns_mobile ) . '" data-layout="fitRows" data-spinner="' . esc_attr( $item_spinner ) . '"';
				break;
			case 'carousel':
				$disable_pagination = 'yes';
			break;
			case 'large-media':
			case 'small-media':
			default:
				break;
		}

		array_push( $blog_classes, engic_ext_vce_get_blog_class( $blog_style ) );
		if ( !empty ( $el_class ) ) {
			array_push( $blog_classes, $el_class);
		}
		if ( 'shadow-mode' == $blog_mode && ( 'masonry' == $blog_style || 'grid' == $blog_style ) ) {
			array_push( $blog_classes, 'eut-shadow-mode' );
		} else {
			array_push( $blog_classes, 'eut-without-shadow' );
		}
		if ('carousel' == $blog_style){
			array_push( $blog_classes, 'eut-with-gap' );
		}
		$blog_class_string = implode( ' ', $blog_classes );

		$paged = 1;

		if ( 'yes' != $disable_pagination ) {
			if ( get_query_var( 'paged' ) ) {
				$paged = get_query_var( 'paged' );
			} elseif ( get_query_var( 'page' ) ) {
				$paged = get_query_var( 'page' );
			}
		}

		$exclude_ids = array();
		if( !empty( $exclude_posts ) ){
			$exclude_ids = explode( ',', $exclude_posts );
		}

		$include_ids = array();
		if( !empty( $include_posts ) ){
			$include_ids = explode( ',', $include_posts );
			$args = array(
				'post_type' => 'post',
				'post_status'=>'publish',
				'posts_per_page' => $posts_per_page,
				'post__in' => $include_ids,
				'paged' => $paged,
				'ignore_sticky_posts' => 1,
				'orderby' => $order_by,
				'order' => $order,
			);
			$blog_filter = 'no';
		} else {
			$args = array(
				'post_type' => 'post',
				'post_status'=>'publish',
				'posts_per_page' => $posts_per_page,
				'post__not_in' => $exclude_ids,
				'cat' => $categories,
				'paged' => $paged,
				'ignore_sticky_posts' => 1,
				'orderby' => $order_by,
				'order' => $order,
			);
		}

		$query = new WP_Query( $args );

		$blog_category_ids = array();

		if( ! empty( $categories ) ) {
			$blog_category_ids = explode( ",", $categories );
		}
		if ( 'carousel' != $blog_style ) {
			$allow_filter = 'yes';
		}
		$category_prefix = '.category-';

		ob_start();

		if ( $query->have_posts() ) :

?>
		<div class="<?php echo esc_attr( $blog_class_string ); ?>" style="<?php echo $style; ?>" <?php echo $data_string; ?>>
<?php
		//Category Filter
		if ( 'yes' == $blog_filter && 'yes' == $allow_filter ) {

			$category_filter_list = array();
			$category_filter_array = array();
			$all_string =  apply_filters( 'engic_ext_vce_blog_string_all_categories', esc_html__( 'All', 'engic-extension' ) );
			$category_filter_string = '<li data-filter="*" class="selected"><span>' . esc_html( $all_string ) . '</span></li>';
			$category_filter_add = false;
			while ( $query->have_posts() ) : $query->the_post();

				if ( $blog_categories = get_the_terms( get_the_ID(), 'category' ) ) {

					foreach($blog_categories as $category_term){
						$category_filter_add = false;
						if ( !in_array($category_term->term_id, $category_filter_list) ) {
							if( ! empty( $blog_category_ids ) ) {
								if ( in_array($category_term->term_id, $blog_category_ids) ) {
									$category_filter_add = true;
								}
							} else {
								$category_filter_add = true;
							}
							if ( $category_filter_add ) {
								$category_filter_list[] = $category_term->term_id;
								if ( 'title' == $filter_order_by ) {
									$category_filter_array[$category_term->name] = $category_term;
								} elseif ( 'slug' == $filter_order_by )  {
									$category_filter_array[$category_term->slug] = $category_term;
								} else {
									$category_filter_array[$category_term->term_id] = $category_term;
								}
							}
						}
					}
				}

			endwhile;


			if ( count( $category_filter_array ) > 1 ) {
				if ( '' != $filter_order_by ) {
					if ( 'ASC' == $filter_order ) {
						ksort( $category_filter_array );
					} else {
						krsort( $category_filter_array );
					}
				}
				foreach($category_filter_array as $category_filter){
					$term_class = sanitize_html_class( $category_filter->slug, $category_filter->term_id );
					if ( is_numeric( $term_class ) || ! trim( $term_class, '-' ) ) {
						$term_class = $category_filter->term_id;
					}
					$category_filter_string .= '<li data-filter="' . $category_prefix . $term_class . '"><span>' . $category_filter->name . '</span></li>';
				}
		?>
				<div class="eut-filter eut-align-<?php echo esc_attr( $blog_filter_align ); ?>">
					<ul>
						<?php echo $category_filter_string; ?>
					</ul>
				</div>
		<?php
			}
		}
		if ( 'large-media' == $blog_style || 'small-media' == $blog_style ) {
?>
			<div class="eut-standard-container">
<?php
		} else if ( 'carousel' == $blog_style ) {
			$data_string = ' data-items="' . esc_attr( $items_per_page ) . '" data-slider-speed="' . esc_attr( $slideshow_speed ) . '" data-slider-pause="' . esc_attr( $pause_hover ) . '"';
?>
			<?php if ( 0 != $navigation_type ) { ?>
			<div class="eut-carousel-navigation eut-<?php echo esc_attr( $navigation_color ); ?>" data-navigation-type="<?php echo esc_attr( $navigation_type ); ?>">
				<div class="eut-carousel-buttons">
					<div class="eut-carousel-prev eut-icon-nav-left"></div>
					<div class="eut-carousel-next eut-icon-nav-right"></div>
				</div>
			</div>
			<?php } ?>
			<div class="eut-carousel eut-blog eut-carousel-element eut-shadow-mode"<?php echo $data_string; ?>>
<?php
		} else {
?>
			<div class="eut-isotope-container">
<?php
		}

		$engic_ext_isotope_start = $engic_ext_isotope_end = '';
		if ( 'large-media' != $blog_style && 'small-media' != $blog_style ) {
			$engic_ext_isotope_start = '<div class="eut-isotope-item-inner ' . esc_attr( $animation ) . '">';
			$engic_ext_isotope_end = '</div>';
		}

		while ( $query->have_posts() ) : $query->the_post();

			$post_format = get_post_format();
			if ( 'link' == $post_format || 'quote' == $post_format ) {
				$engic_ext_post_class = engic_ext_vce_get_post_class( $blog_style, 'eut-label-post' );
			} else {
				$engic_ext_post_class = engic_ext_vce_get_post_class( $blog_style );
			}

			if ( 'carousel' == $blog_style ) {

?>
				<div class="eut-carousel-item">
					<article <?php post_class( 'eut-post-item' ); ?> itemscope itemType="http://schema.org/BlogPosting">
						<?php engic_ext_vce_print_structured_data(); ?>
						<?php engic_ext_vce_print_carousel_media(); ?>
						<div class="eut-post-content">
							<?php engic_ext_vce_print_post_title( $blog_style, $post_format ); ?>
							<div class="eut-small-text eut-post-meta">
								<?php engic_ext_vce_print_post_date(); ?>
							</div>
							<?php engic_ext_vce_print_post_excerpt( $blog_style, $post_format, $auto_excerpt, $excerpt_length, $excerpt_more ); ?>
						</div>
					</article>
				</div>
<?php
			} else {
?>
			<article id="post-<?php the_ID(); ?>" <?php post_class( $engic_ext_post_class ); ?> itemscope itemType="http://schema.org/BlogPosting">
				<?php echo $engic_ext_isotope_start; ?>
					<?php engic_ext_vce_print_structured_data(); ?>
					<?php engic_ext_vce_print_post_feature_media( $blog_style, $post_format, $blog_image_mode, $blog_image_prio ); ?>

					<?php if ( 'link' != $post_format && 'quote' != $post_format ) { ?>
						<div class="eut-post-content">
							<?php engic_ext_vce_print_post_title( $blog_style, $post_format ); ?>
							<div class="eut-small-text eut-post-meta">
								<?php engic_ext_vce_print_post_author_by( $blog_style ); ?>
								<?php engic_ext_vce_print_post_date(); ?>
								<?php
									if( function_exists( 'engic_eutf_print_like_counter' ) ) {
										engic_eutf_print_like_counter();
									}
								?>
							</div>
							<?php engic_ext_vce_print_post_excerpt( $blog_style, $post_format, $auto_excerpt, $excerpt_length, $excerpt_more ); ?>
						</div>
					<?php } else { ?>
						<?php engic_ext_vce_print_post_title( $blog_style, $post_format ); ?>
					<?php }?>

				<?php echo $engic_ext_isotope_end; ?>
			</article>

<?php
			}

		endwhile;
?>
			</div>
<?php
			if ( 'yes' != $disable_pagination ) {
				$total = $query->max_num_pages;
				$big = 999999999; // need an unlikely integer
				if( $total > 1 )  {
					 echo '<div class="eut-pagination">';

					 if( get_option('permalink_structure') ) {
						 $format = 'page/%#%/';
					 } else {
						 $format = '&paged=%#%';
					 }
					 echo paginate_links(array(
						'base'			=> str_replace( $big, '%#%', esc_url( get_pagenum_link( $big ) ) ),
						'format'		=> $format,
						'current'		=> max( 1, $paged ),
						'total'			=> $total,
						'mid_size'		=> 2,
						'type'			=> 'list',
						'prev_text'	=> '<i class="eut-icon-nav-left"></i>',
						'next_text'	=> '<i class="eut-icon-nav-right"></i>',
						'add_args' => false,
					 ));
					 echo '</div>';
				}
			}
?>
		</div>
<?php
		else :
		endif;

		wp_reset_postdata();

		return ob_get_clean();


	}
	add_shortcode( 'engic_blog', 'engic_ext_blog_shortcode' );

}

/**
 * Add shortcode to Visual Composer
 */

if( !function_exists( 'engic_ext_blog_shortcode_params' ) ) {
	function engic_ext_blog_shortcode_params( $tag ) {
		return array(
			"name" => esc_html__( "Blog", "engic-extension" ),
			"description" => esc_html__( "Display a Blog element in multiple styles", "engic-extension" ),
			"base" => $tag,
			"class" => "",
			"icon"      => "icon-wpb-eut-blog",
			"category" => esc_html__( "Content", "js_composer" ),
			"params" => array(
				array(
					"type" => "dropdown",
					"heading" => esc_html__( "Style", "engic-extension" ),
					"param_name" => "blog_style",
					"admin_label" => true,
					'value' => array(
						esc_html__( 'Large Media', 'engic-extension' ) => 'large-media',
						esc_html__( 'Small Media', 'engic-extension' ) => 'small-media',
						esc_html__( 'Masonry' , 'engic-extension' ) => 'masonry',
						esc_html__( 'Grid' , 'engic-extension' ) => 'grid',
						esc_html__( 'Carousel' , 'engic-extension' ) => 'carousel',
					),
					"description" => esc_html__( "Select your Blog Style.", "engic-extension" ),
				),
				array(
					"type" => "dropdown",
					"heading" => esc_html__( "Mode", "engic-extension" ),
					"param_name" => "blog_mode",
					"admin_label" => true,
					'value' => array(
						esc_html__( 'Without Shadow', 'engic-extension' ) => 'no-shadow-mode',
						esc_html__( 'With Shadow', 'engic-extension' ) => 'shadow-mode',
					),
					"description" => esc_html__( "Select your Blog Mode.", "engic-extension" ),
					"dependency" => Array( 'element' => "blog_style", 'value' => array( 'grid', 'masonry' ) ),
				),
				array(
					"type" => "dropdown",
					"heading" => esc_html__( "Image Mode", "engic-extension" ),
					"param_name" => "blog_image_mode",
					'value' => array(
						esc_html__( 'Auto Crop', 'engic-extension' ) => '',
						esc_html__( 'Resize', 'engic-extension' ) => 'resize',
					),
					"description" => esc_html__( "Select your Blog Image Mode.", "engic-extension" ),
					"dependency" => Array( 'element' => "blog_style", 'value' => array( 'large-media', 'small-media', 'grid' ) ),
				),
				array(
					"type" => 'checkbox',
					"heading" => esc_html__( "Featured Image Priority", "engic-extension" ),
					"param_name" => "blog_image_prio",
					"description" => esc_html__( "Featured image is displayed instead of media element", "engic-extension" ),
					"value" => Array( esc_html__( "Featured Image Priority", "engic-extension" ) => 'yes' ),
					"dependency" => Array( 'element' => "blog_style", 'value' => array( 'large-media', 'small-media','grid', 'masonry' ) ),
				),
				array(
					"type" => "dropdown",
					"heading" => esc_html__( "Columns", "engic-extension" ),
					"param_name" => "columns",
					"value" => array( '2', '3', '4', '5' ),
					"std" => '4',
					"description" => esc_html__( "Select your Blog Columns.", "engic-extension" ),
					"dependency" => Array( 'element' => "blog_style", 'value' => array( 'grid', 'masonry' ) ),
				),
				array(
					"type" => "dropdown",
					"heading" => esc_html__( "Tablet Landscape Columns", "engic-extension" ),
					"param_name" => "columns_tablet_landscape",
					"value" => array( '2', '3', '4', '5' ),
					"std" => '2',
					"description" => esc_html__( "Select responsive column on tablet devices, landscape orientation.", "engic-extension" ),
					"dependency" => Array( 'element' => "blog_style", 'value' => array( 'grid', 'masonry' ) ),
				),
				array(
					"type" => "dropdown",
					"heading" => esc_html__( "Tablet Portrait Columns", "engic-extension" ),
					"param_name" => "columns_tablet_portrait",
					"value" => array( '2', '3', '4', '5' ),
					"std" => '2',
					"description" => esc_html__( "Select responsive column on tablet devices, portrait orientation.", "engic-extension" ),
					"dependency" => Array( 'element' => "blog_style", 'value' => array( 'grid', 'masonry' ) ),
				),
				array(
					"type" => "dropdown",
					"heading" => esc_html__( "Mobile Columns", "engic-extension" ),
					"param_name" => "columns_mobile",
					"value" => array( '1', '2' ),
					"std" => '1',
					"description" => esc_html__( "Select responsive column on mobile devices.", "engic-extension" ),
					"dependency" => Array( 'element' => "blog_style", 'value' => array( 'grid', 'masonry' ) ),
				),
				array(
					"type" => 'checkbox',
					"heading" => esc_html__( "Auto excerpt", "engic-extension" ),
					"param_name" => "auto_excerpt",
					"description" => esc_html__( "Adds automatic excerpt to all posts in Large Media style. If auto excerpt is not selected, blog will show all content, a desired 'cut-off' point can be inserted in each post with more quicktag.", "engic-extension" ),
					"value" => Array( esc_html__( "Activate auto excerpt.", "engic-extension" ) => 'yes' ),
					"dependency" => Array( 'element' => "blog_style", 'value' => array( 'large-media' ) ),
				),
				array(
					"type" => 'textfield',
					"heading" => esc_html__( "Excerpt length", "engic-extension" ),
					"param_name" => "excerpt_length",
					"description" => esc_html__( "Type how many words you want to display in your post excerpts.", "engic-extension" ),
					"value" => '55',
					"dependency" => Array( 'element' => "blog_style", 'value' => array( 'large-media', 'small-media','grid', 'masonry', 'carousel' ) ),
				),
				array(
					"type" => 'checkbox',
					"heading" => esc_html__( "Read more", "engic-extension" ),
					"param_name" => "excerpt_more",
					"description" => esc_html__( "Adds a read more button after the excerpt or more quicktag", "engic-extension" ),
					"value" => Array( esc_html__( "Add more button", "engic-extension" ) => 'yes' ),
					"dependency" => Array( 'element' => "blog_style", 'value' => array( 'large-media', 'small-media','grid', 'masonry' ) ),
				),
				array(
					"type" => 'checkbox',
					"heading" => esc_html__( "Filter", "engic-extension" ),
					"param_name" => "blog_filter",
					"description" => esc_html__( "If selected, an isotope filter will be displayed.", "engic-extension" ),
					"value" => Array( esc_html__( "Enable Blog Filter ( Only for All or Multiple Categories )", "engic-extension" ) => 'yes' ),
					"dependency" => Array( 'element' => "blog_style", 'value' => array( 'large-media', 'small-media','grid', 'masonry' ) ),
				),
				array(
					"type" => "dropdown",
					"heading" => esc_html__( "Filter Order By", "engic-extension" ),
					"param_name" => "filter_order_by",
					"value" => array(
						esc_html__( "Default ( Unordered )", "engic-extension" ) => '',
						esc_html__( "ID", "engic-extension" ) => 'id',
						esc_html__( "Slug", "engic-extension" ) => 'slug',
						esc_html__( "Title", "engic-extension" ) => 'title',
					),
					"description" => '',
					"dependency" => Array( 'element' => "blog_style", 'value' => array( 'large-media', 'small-media','grid', 'masonry' ) ),
				),
				array(
					"type" => "dropdown",
					"heading" => esc_html__( "Filter Order", "engic-extension" ),
					"param_name" => "filter_order",
					"value" => array(
						esc_html__( "Ascending", "engic-extension" ) => 'ASC',
						esc_html__( "Descending", "engic-extension" ) => 'DESC',
					),
					"dependency" => Array( 'element' => "blog_style", 'value' => array( 'large-media', 'small-media','grid', 'masonry' ) ),
					"description" => '',
				),
				array(
					"type" => "dropdown",
					"heading" => esc_html__( "Filter Alignment", "engic-extension" ),
					"param_name" => "blog_filter_align",
					"value" => array(
						esc_html__( "Left", "engic-extension" ) => 'left',
						esc_html__( "Right", "engic-extension" ) => 'right',
						esc_html__( "Center", "engic-extension" ) => 'center',
					),
					"description" => '',
					"dependency" => Array( 'element' => "blog_style", 'value' => array( 'large-media', 'small-media','grid', 'masonry' ) ),
				),
				array(
					"type" => 'checkbox',
					"heading" => esc_html__( "Enable Loader", "engic-extension" ),
					"param_name" => "item_spinner",
					"description" => esc_html__( "If selected, this will enable a graphic spinner before load.", "engic-extension" ),
					"value" => Array( esc_html__( "Enable Loader.", "engic-extension" ) => 'yes' ),
					"dependency" => Array( 'element' => "blog_style", 'value' => array( 'grid', 'masonry' ) ),
				),
				array(
					"type" => 'checkbox',
					"heading" => esc_html__( "Disable Pagination", "engic-extension" ),
					"param_name" => "disable_pagination",
					"description" => esc_html__( "If selected, pagination will not be shown.", "engic-extension" ),
					"value" => Array( esc_html__( "Disable Pagination.", "engic-extension" ) => 'yes' ),
					"dependency" => Array( 'element' => "blog_style", 'value' => array( 'large-media', 'small-media','grid', 'masonry' ) ),
				),
				array(
					"type" => 'checkbox',
					"heading" => esc_html__( "Hide Comments", "engic-extension" ),
					"param_name" => "hide_comments",
					"description" => esc_html__( "If selected, blog overview will not show comments.", "engic-extension" ),
					"value" => Array( esc_html__( "Hide Comments.", "engic-extension" ) => 'yes' ),
					"dependency" => Array( 'element' => "blog_style", 'value' => array( 'large-media', 'small-media','grid', 'masonry' ) ),
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__( "Posts per Page", "engic-extension" ),
					"param_name" => "posts_per_page",
					"value" => "10",
					"description" => esc_html__( "Enter how many posts per page you want to display.", "engic-extension" ),
					"admin_label" => true,
				),
				//Gallery ( carousel )
				array(
					"type" => "dropdown",
					"heading" => esc_html__( "Items per page", "engic-extension" ),
					"param_name" => "items_per_page",
					"value" => array( '3', '4', '5' ),
					"description" => esc_html__( "Number of items per page", "engic-extension" ),
					"dependency" => Array( 'element' => "blog_style", 'value' => array( 'carousel' ) ),
					"std" => "4",
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__( "Slideshow Speed", "engic-extension" ),
					"param_name" => "slideshow_speed",
					"value" => '3000',
					"description" => esc_html__( "Slideshow Speed in ms.", "engic-extension" ),
					"dependency" => Array( 'element' => "blog_style", 'value' => array( 'carousel' ) ),
				),
				array(
					"type" => 'checkbox',
					"heading" => esc_html__( "Pause on Hover", "engic-extension" ),
					"param_name" => "pause_hover",
					"value" => Array( esc_html__( "If selected, carousel will be paused on hover", "engic-extension" ) => 'yes' ),
					"dependency" => Array( 'element' => "blog_style", 'value' => array( 'carousel' ) ),
				),
				array(
					"type" => "dropdown",
					"heading" => esc_html__( "Navigation Type", "engic-extension" ),
					"param_name" => "navigation_type",
					'value' => array(
						esc_html__( 'Style 1' , 'engic-extension' ) => '1',
						esc_html__( 'Style 2' , 'engic-extension' ) => '2',
						esc_html__( 'Style 3' , 'engic-extension' ) => '3',
						esc_html__( 'Style 4' , 'engic-extension' ) => '4',
						esc_html__( 'No Navigation' , 'engic-extension' ) => '0',
					),
					"description" => esc_html__( "Select your Navigation type.", "engic-extension" ),
					"dependency" => Array( 'element' => "blog_style", 'value' => array( 'carousel' ) ),
				),
				array(
					"type" => "dropdown",
					"heading" => esc_html__( "Navigation Color", "engic-extension" ),
					"param_name" => "navigation_color",
					'value' => array(
						esc_html__( 'Dark' , 'engic-extension' ) => 'dark',
						esc_html__( 'Light' , 'engic-extension' ) => 'light',
					),
					"description" => esc_html__( "Select the background Navigation color.", "engic-extension" ),
					"dependency" => Array( 'element' => "blog_style", 'value' => array( 'carousel' ) ),
				),
				array(
					"type" => "dropdown",
					"heading" => esc_html__("CSS Animation", "engic-extension"),
					"param_name" => "animation",
					"value" => array(
						esc_html__( "No", "engic-extension" ) => '',
						esc_html__( "Fade In Up", "engic-extension" ) => "fadeInUp",
					),
					"std" => "fadeInUp",
					"description" => esc_html__("Select type of animation if you want this element to be animated when it enters into the browsers viewport. Note: Works only in modern browsers.", "engic-extension" ),
					"dependency" => Array( 'element' => "blog_style", 'value' => array( 'grid', 'masonry' ) ),
				),
				engic_ext_vce_add_order_by(),
				engic_ext_vce_add_order(),
				engic_ext_vce_add_margin_bottom(),
				engic_ext_vce_add_el_class(),
				array(
					"type" => "textfield",
					"heading" => esc_html__("Exclude Posts", "engic-extension" ),
					"param_name" => "exclude_posts",
					"value" => '',
					"description" => esc_html__( "Type the post ids you want to exclude separated by comma ( , ).", "engic-extension" ),
					"group" => esc_html__( "Categories", "engic-extension" ),
				),
				array(
					"type" => "engic_ext_multi_checkbox",
					"heading" => esc_html__("Categories", "engic-extension" ),
					"param_name" => "categories",
					"value" => engic_ext_vce_get_post_categories(),
					"description" => esc_html__( "Select all or multiple categories.", "engic-extension" ),
					"admin_label" => true,
					"group" => esc_html__( "Categories", "engic-extension" ),
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__("Include Specific Posts", "engic-extension" ),
					"param_name" => "include_posts",
					"value" => '',
					"description" => esc_html__( "Type the specific post ids you want to include separated by comma ( , ). Note: If you define specific post ids, Exclude Posts and Categories will have no effect.", "engic-extension" ),
					"group" => esc_html__( "Categories", "engic-extension" ),
				),
			),
		);
	}
}

if( function_exists( 'vc_lean_map' ) ) {
	vc_lean_map( 'engic_blog', 'engic_ext_blog_shortcode_params' );
} else if( function_exists( 'vc_map' ) ) {
	$attributes = engic_ext_blog_shortcode_params( 'engic_blog' );
	vc_map( $attributes );
}

//Omit closing PHP tag to avoid accidental whitespace output errors.