<?php
/**
 * Counter Shortcode
 */

if( !function_exists( 'engic_ext_counter_shortcode' ) ) {

	function engic_ext_counter_shortcode( $atts, $content ) {

		$output = $link_start = $link_end = $retina_data = $data = $el_class = '';

		extract(
			shortcode_atts(
				array(
					'counter_start_val' => '0',
					'counter_end_val' => '100',
					'counter_prefix' => '',
					'counter_suffix' => '',
					'counter_decimal_points' => '0',
					'counter_decimal_separator' => '.',
					'counter_color' => 'primary-1',
					'counter_size' => 'small',
					'counter_thousands_separator_vis' => '',
					'counter_thousands_separator' => ',',
					'title' => '',
					'heading' => 'h3',
					'icon_library' => 'fontawesome',
					'icon_fontawesome' => 'fa fa-info-circle',
					'icon_openiconic' => 'vc-oi vc-oi-dial',
					'icon_typicons' => 'typcn typcn-adjust-brightness',
					'icon_entypo' => 'entypo-icon entypo-icon-note',
					'icon_linecons' => 'vc_li vc_li-heart',
					'icon_simplelineicons' => 'smp-icon-user',
					'icon_type' => '',
					'icon_size' => 'medium',
					'icon_color' => 'primary-1',
					'animation' => '',
					'animation_delay' => '200',
					'margin_bottom' => '',
					'el_class' => '',
				),
				$atts
			)
		);

		if ( !empty( $animation ) ) {
			$animation = 'eut-' . $animation;
		}

		$counter_classes = array( 'eut-element' );

		array_push( $counter_classes, 'eut-counter' );
		array_push( $counter_classes, 'eut-align-center' );

		if ( !empty( $animation ) ) {
			array_push( $counter_classes, 'eut-animated-item' );
			array_push( $counter_classes, $animation);
			$data = ' data-delay="' . esc_attr( $animation_delay ) . '"';
		}

		if ( !empty ( $el_class ) ) {
			array_push( $counter_classes, $el_class);
		}

		$counter_class_string = implode( ' ', $counter_classes );


		$icon_classes = array();

		if ( 'icon' == $icon_type ) {

			$icon_class = isset( ${"icon_" . $icon_library} ) ? esc_attr( ${"icon_" . $icon_library} ) : 'fa fa-adjust';
			if ( function_exists( 'vc_icon_element_fonts_enqueue' ) ) {
				vc_icon_element_fonts_enqueue( $icon_library );
			}
			array_push( $icon_classes, $icon_class );
			array_push( $icon_classes, 'eut-color-' . $icon_color );
			array_push( $icon_classes, 'eut-' . $icon_size );
		}

		$icon_class_string = implode( ' ', $icon_classes );


		$style = engic_ext_vce_build_margin_bottom_style( $margin_bottom );


		$output .= '<div class="' . esc_attr( $counter_class_string ) . '" style="' . $style . '"' . $data . '>';

		if ( 'icon' == $icon_type ) {
			$output .= '  <div class="eut-counter-icon">';
			$output .= '  <i class="' . esc_attr( $icon_class_string ) . '"></i>';
			$output .= '  </div>';
		}

		$output .= '  <div class="eut-counter-content">';
		$output .= '    <div class="eut-counter-item eut-color-' . esc_attr( $counter_color ) . ' eut-' . esc_attr( $counter_size ) . '">';
		$output .= '      <span data-thousands-separator-vis="' . esc_attr( $counter_thousands_separator_vis ) . '" data-thousands-separator="' . esc_attr( $counter_thousands_separator ) . '" data-prefix="' . esc_attr( $counter_prefix ) . '" data-suffix="' . esc_attr( $counter_suffix ) . '" data-start-val="' . esc_attr( $counter_start_val ) . '" data-end-val="' . esc_attr( $counter_end_val ) . '" data-decimal-points="' . esc_attr( $counter_decimal_points ) . '" data-decimal-separator="' . esc_attr( $counter_decimal_separator ) . '">' . $counter_start_val. '</span>';
		$output .= '    </div>';
		$output .= '	<' . $heading . ' class="eut-counter-title">' . $title. '</' . $heading . '>';
		$output .= '  </div>';

		$output .= '</div>';

		return $output;
	}
	add_shortcode( 'engic_counter', 'engic_ext_counter_shortcode' );

}

/**
 * Add shortcode to Visual Composer
 */

if( !function_exists( 'engic_ext_counter_shortcode_params' ) ) {
	function engic_ext_counter_shortcode_params( $tag ) {
		return array(
			"name" => esc_html__( "Counter", "engic-extension" ),
			"description" => esc_html__( "Add a counter with icon and title", "engic-extension" ),
			"base" => $tag,
			"class" => "",
			"icon"      => "icon-wpb-eut-counter",
			"category" => esc_html__( "Content", "js_composer" ),
			"params" => array(
				array(
					"type" => "textfield",
					"heading" => esc_html__( "Counter Start Number", "engic-extension" ),
					"param_name" => "counter_start_val",
					"value" => "0",
					"description" => esc_html__( "Enter counter start number.", "engic-extension" ),
					"admin_label" => true,
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__( "Counter End Number", "engic-extension" ),
					"param_name" => "counter_end_val",
					"value" => "100",
					"description" => esc_html__( "Enter counter end number.", "engic-extension" ),
					"admin_label" => true,
				),
				array(
					"type" => 'checkbox',
					"heading" => esc_html__( "Counter Thousands Separator Visiblility", "engic-extension" ),
					"param_name" => "counter_thousands_separator_vis",
					"description" => esc_html__( "If selected, thousands separator will not be shown.", "engic-extension" ),
					"value" => Array( esc_html__( "Disable Thousands Separator.", "engic-extension" ) => 'yes' ),
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__( "Counter Thousands Separator", "engic-extension" ),
					"param_name" => "counter_thousands_separator",
					"value" => ",",
					"description" => esc_html__( "Enter thousands separator.", "engic-extension" ),
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__( "Counter Decimal Points", "engic-extension" ),
					"param_name" => "counter_decimal_points",
					"value" => "0",
					"description" => esc_html__( "Number of decimal points.", "engic-extension" ),
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__( "Counter Decimal Separator", "engic-extension" ),
					"param_name" => "counter_decimal_separator",
					"value" => ".",
					"description" => esc_html__( "Enter decimal separator.", "engic-extension" ),
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__( "Counter Prefix", "engic-extension" ),
					"param_name" => "counter_prefix",
					"value" => "",
					"description" => esc_html__( "Enter counter prefix.", "engic-extension" ),
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__( "Counter Suffix", "engic-extension" ),
					"param_name" => "counter_suffix",
					"value" => "",
					"description" => esc_html__( "Enter counter suffix.", "engic-extension" ),
				),
				array(
					"type" => "dropdown",
					"heading" => esc_html__( "Counter Color", "engic-extension" ),
					"param_name" => "counter_color",
					"value" => array(
						esc_html__( "Primary 1", "engic-extension" ) => 'primary-1',
						esc_html__( "Primary 2", "engic-extension" ) => 'primary-2',
						esc_html__( "Primary 3", "engic-extension" ) => 'primary-3',
						esc_html__( "Primary 4", "engic-extension" ) => 'primary-4',
						esc_html__( "Primary 5", "engic-extension" ) => 'primary-5',
						esc_html__( "Green", "engic-extension" ) => 'green',
						esc_html__( "Orange", "engic-extension" ) => 'orange',
						esc_html__( "Red", "engic-extension" ) => 'red',
						esc_html__( "Blue", "engic-extension" ) => 'blue',
						esc_html__( "Aqua", "engic-extension" ) => 'aqua',
						esc_html__( "Purple", "engic-extension" ) => 'purple',
						esc_html__( "Black", "engic-extension" ) => 'black',
						esc_html__( "Grey", "engic-extension" ) => 'grey',
						esc_html__( "White", "engic-extension" ) => 'white',
					),
					"description" => esc_html__( "Color of the counter.", "engic-extension" ),
				),
				array(
					"type" => "dropdown",
					"heading" => esc_html__( "Counter Text Size", "engic-extension" ),
					"param_name" => "counter_size",
					"value" => array(
						esc_html__( "Small", "engic-extension" ) => 'small',
						esc_html__( "Medium", "engic-extension" ) => 'medium',
						esc_html__( "Large", "engic-extension" ) => 'large',
					),
					"description" => esc_html__( "Select counter text size.", "engic-extension" ),
				),
				array(
					"type" => "dropdown",
					"heading" => esc_html__( "Icon type", "engic-extension" ),
					"param_name" => "icon_type",
					"value" => array(
						esc_html__( "No Icon", "engic-extension" ) => '',
						esc_html__( "Icon", "engic-extension" ) => 'icon',
					),
					"description" => '',
					"admin_label" => true,
				),
				array(
					"type" => "dropdown",
					"heading" => esc_html__( "Icon size", "engic-extension" ),
					"param_name" => "icon_size",
					"value" => array(
						esc_html__( "Large", "engic-extension" ) => 'large',
						esc_html__( "Medium", "engic-extension" ) => 'medium',
						esc_html__( "Small", "engic-extension" ) => 'small',
					),
					"std" => 'medium',
					"description" => '',
					"dependency" => Array( 'element' => "icon_type", 'value' => array( 'icon' ) ),
				),
				array(
					'type' => 'dropdown',
					'heading' => esc_html__( 'Icon library', 'engic-extension' ),
					'value' => array(
						esc_html__( 'Font Awesome', 'engic-extension' ) => 'fontawesome',
						esc_html__( 'Open Iconic', 'engic-extension' ) => 'openiconic',
						esc_html__( 'Typicons', 'engic-extension' ) => 'typicons',
						esc_html__( 'Entypo', 'engic-extension' ) => 'entypo',
						esc_html__( 'Linecons', 'engic-extension' ) => 'linecons',
						esc_html__( 'Simple Line Icons', 'engic-extension' ) => 'simplelineicons',
					),
					'param_name' => 'icon_library',
					'description' => esc_html__( 'Select icon library.', 'engic-extension' ),
					"dependency" => Array( 'element' => "icon_type", 'value' => array( 'icon' ) ),
				),
				array(
					'type' => 'iconpicker',
					'heading' => esc_html__( 'Icon', 'engic-extension' ),
					'param_name' => 'icon_fontawesome',
					'value' => 'fa fa-info-circle',
					'settings' => array(
						'emptyIcon' => false, // default true, display an "EMPTY" icon?
						'iconsPerPage' => 200, // default 100, how many icons per/page to display
					),
					'dependency' => array(
						'element' => 'icon_library',
						'value' => 'fontawesome',
					),
					'description' => esc_html__( 'Select icon from library.', 'engic-extension' ),
				),
				array(
					'type' => 'iconpicker',
					'heading' => esc_html__( 'Icon', 'engic-extension' ),
					'param_name' => 'icon_openiconic',
					'value' => 'vc-oi vc-oi-dial',
					'settings' => array(
						'emptyIcon' => false, // default true, display an "EMPTY" icon?
						'type' => 'openiconic',
						'iconsPerPage' => 200, // default 100, how many icons per/page to display
					),
					'dependency' => array(
						'element' => 'icon_library',
						'value' => 'openiconic',
					),
					'description' => esc_html__( 'Select icon from library.', 'engic-extension' ),
				),
				array(
					'type' => 'iconpicker',
					'heading' => esc_html__( 'Icon', 'engic-extension' ),
					'param_name' => 'icon_typicons',
					'value' => 'typcn typcn-adjust-brightness',
					'settings' => array(
						'emptyIcon' => false, // default true, display an "EMPTY" icon?
						'type' => 'typicons',
						'iconsPerPage' => 200, // default 100, how many icons per/page to display
					),
					'dependency' => array(
						'element' => 'icon_library',
						'value' => 'typicons',
					),
					'description' => esc_html__( 'Select icon from library.', 'engic-extension' ),
				),
				array(
					'type' => 'iconpicker',
					'heading' => esc_html__( 'Icon', 'engic-extension' ),
					'param_name' => 'icon_entypo',
					'value' => 'entypo-icon entypo-icon-note',
					'settings' => array(
						'emptyIcon' => false, // default true, display an "EMPTY" icon?
						'type' => 'entypo',
						'iconsPerPage' => 300, // default 100, how many icons per/page to display
					),
					'dependency' => array(
						'element' => 'icon_library',
						'value' => 'entypo',
					),
				),
				array(
					'type' => 'iconpicker',
					'heading' => esc_html__( 'Icon', 'engic-extension' ),
					'param_name' => 'icon_linecons',
					'value' => 'vc_li vc_li-heart',
					'settings' => array(
						'emptyIcon' => false, // default true, display an "EMPTY" icon?
						'type' => 'linecons',
						'iconsPerPage' => 200, // default 100, how many icons per/page to display
					),
					'dependency' => array(
						'element' => 'icon_library',
						'value' => 'linecons',
					),
					'description' => esc_html__( 'Select icon from library.', 'engic-extension' ),
				),
				array(
					'type' => 'iconpicker',
					'heading' => esc_html__( 'Icon', 'engic-extension' ),
					'param_name' => 'icon_simplelineicons',
					'value' => 'smp-icon-user',
					'settings' => array(
						'emptyIcon' => false,
						'type' => 'simplelineicons',
						'iconsPerPage' => 200,
					),
					'dependency' => array(
						'element' => 'icon_library',
						'value' => 'simplelineicons',
					),
					'description' => esc_html__( 'Select icon from library.', 'engic-extension' ),
				),
				array(
					"type" => "dropdown",
					"heading" => esc_html__( "Icon Color", "engic-extension" ),
					"param_name" => "icon_color",
					"value" => array(
						esc_html__( "Primary 1", "engic-extension" ) => 'primary-1',
						esc_html__( "Primary 2", "engic-extension" ) => 'primary-2',
						esc_html__( "Primary 3", "engic-extension" ) => 'primary-3',
						esc_html__( "Primary 4", "engic-extension" ) => 'primary-4',
						esc_html__( "Primary 5", "engic-extension" ) => 'primary-5',
						esc_html__( "Green", "engic-extension" ) => 'green',
						esc_html__( "Orange", "engic-extension" ) => 'orange',
						esc_html__( "Red", "engic-extension" ) => 'red',
						esc_html__( "Blue", "engic-extension" ) => 'blue',
						esc_html__( "Aqua", "engic-extension" ) => 'aqua',
						esc_html__( "Purple", "engic-extension" ) => 'purple',
						esc_html__( "Black", "engic-extension" ) => 'black',
						esc_html__( "Grey", "engic-extension" ) => 'grey',
						esc_html__( "White", "engic-extension" ) => 'white',
					),
					"description" => esc_html__( "Color of the icon.", "engic-extension" ),
					"dependency" => Array( 'element' => "icon_type", 'value' => array( 'icon' ) ),
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__( "Title", "engic-extension" ),
					"param_name" => "title",
					"value" => "Sample Title",
					"description" => esc_html__( "Enter counter title.", "engic-extension" ),
					"save_always" => true,
					"admin_label" => true,
				),
				array(
					"type" => "dropdown",
					"heading" => esc_html__( "Heading", "engic-extension" ),
					"param_name" => "heading",
					"admin_label" => true,
					"value" => array( 'h1', 'h2', 'h3', 'h4' , 'h5', 'h6' ),
					"description" => esc_html__( "Heading size", "engic-extension" ),
					"std" => "h3",
				),
				engic_ext_vce_add_animation(),
				engic_ext_vce_add_animation_delay(),
				engic_ext_vce_add_margin_bottom(),
				engic_ext_vce_add_el_class(),
			),
		);
	}
}

if( function_exists( 'vc_lean_map' ) ) {
	vc_lean_map( 'engic_counter', 'engic_ext_counter_shortcode_params' );
} else if( function_exists( 'vc_map' ) ) {
	$attributes = engic_ext_counter_shortcode_params( 'engic_counter' );
	vc_map( $attributes );
}

//Omit closing PHP tag to avoid accidental whitespace output errors.