<?php
/**
 * Divider Shortcode
 */

if( !function_exists( 'engic_ext_divider_shortcode' ) ) {

	function engic_ext_divider_shortcode( $atts, $content ) {

		$output = $class_fullwidth = $style = $el_class = '';

		extract(
			shortcode_atts(
				array(
					'line_type' => 'line',
					'backtotop_title' => '',
					'padding_top' => '',
					'padding_bottom' => '',
					'el_class' => '',
				),
				$atts
			)
		);

		$style .= engic_ext_vce_build_padding_top_style( $padding_top );
		$style .= engic_ext_vce_build_padding_bottom_style( $padding_bottom );

		$output .= '<div class="eut-element eut-hr ' . $el_class.'" style="' . $style . '">';
			$output .= '<div class="eut-' . $line_type . '-divider">';
			if ( !empty( $backtotop_title ) && 'top-line' == $line_type ) {
				$output .= '    <span class="eut-divider-backtotop eut-small-text">' . $backtotop_title. '</span>';
			}
			$output .= '</div>';
		$output .= '</div>';

		return $output;
	}
	add_shortcode( 'engic_divider', 'engic_ext_divider_shortcode' );

}

/**
 * Add shortcode to Visual Composer
 */

if( !function_exists( 'engic_ext_divider_shortcode_params' ) ) {
	function engic_ext_divider_shortcode_params( $tag ) {
		return array(
			"name" => esc_html__( "Divider", "engic-extension" ),
			"description" => esc_html__( "Insert dividers, just spaces or different lines", "engic-extension" ),
			"base" => $tag,
			"class" => "",
			"icon"      => "icon-wpb-eut-divider",
			"category" => esc_html__( "Content", "js_composer" ),
			"params" => array(
				array(
					"type" => "dropdown",
					"heading" => esc_html__( "Line type", "engic-extension" ),
					"param_name" => "line_type",
					"value" => array(
						esc_html__( "Line", "engic-extension" ) => 'line',
						esc_html__( "Double Line", "engic-extension" ) => 'double-line',
						esc_html__( "Dashed Line", "engic-extension" ) => 'dashed-line',
						esc_html__( "Back to Top", "engic-extension" ) => 'top-line',
					),
					"description" => '',
					"admin_label" => true,
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__( "Back to Top Title", "engic-extension" ),
					"param_name" => "backtotop_title",
					"value" => "Back to top",
					"description" => esc_html__( "Set Back to top title.", "engic-extension" ),
					"dependency" => Array( 'element' => "line_type", 'value' => array( 'top-line' ) ),
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__( "Top padding", "engic-extension" ),
					"param_name" => "padding_top",
					"description" => esc_html__( "You can use px, em, %, etc. or enter just number and it will use pixels.", "engic-extension" ),
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__( "Bottom padding", "engic-extension" ),
					"param_name" => "padding_bottom",
					"description" => esc_html__( "You can use px, em, %, etc. or enter just number and it will use pixels.", "engic-extension" ),
				),
				engic_ext_vce_add_el_class(),
			),
		);
	}
}

if( function_exists( 'vc_lean_map' ) ) {
	vc_lean_map( 'engic_divider', 'engic_ext_divider_shortcode_params' );
} else if( function_exists( 'vc_map' ) ) {
	$attributes = engic_ext_divider_shortcode_params( 'engic_divider' );
	vc_map( $attributes );
}

//Omit closing PHP tag to avoid accidental whitespace output errors.