<?php
/**
 * Dropcap Shortcode
 */

if( !function_exists( 'engic_ext_dropcap_shortcode' ) ) {

	function engic_ext_dropcap_shortcode( $atts, $content ) {

		$output = $style = $data = $el_class = '';

		extract(
			shortcode_atts(
				array(
					'dropcap_style' => '1',
					'bg_color' => 'primary-1',
					'animation' => '',
					'animation_delay' => '200',
					'margin_bottom' => '',
					'el_class' => '',
				),
				$atts
			)
		);

		if ( !empty( $animation ) ) {
			$animation = 'eut-' . $animation;
		}


		$style = engic_ext_vce_build_margin_bottom_style( $margin_bottom );

		$dropcap_classes = array( 'eut-element', 'eut-dropcap' );

		if ( !empty( $animation ) ) {
			array_push( $dropcap_classes, 'eut-animated-item' );
			array_push( $dropcap_classes, $animation);
			$data = ' data-delay="' . esc_attr( $animation_delay ) . '"';
		}

		if ( !empty ( $el_class ) ) {
			array_push( $dropcap_classes, $el_class);
		}
		$dropcap_class_string = implode( ' ', $dropcap_classes );

		if ( !empty( $content ) ) {

			$dropcap_char = mb_substr( $content, 0, 1, 'UTF8' );
			$dropcap_content = mb_substr( $content, 1, mb_strlen( $content ) , 'UTF8' );
			$output .= '<div class="' . esc_attr( $dropcap_class_string ) . '" style="' . $style . '"' . $data .'>';
			$output .= '<p><span class="eut-style-' . esc_attr( $dropcap_style ) . ' eut-bg-' . esc_attr( $bg_color ) . '">' . $dropcap_char . '</span>' . $dropcap_content . '</p>';
			$output .= '</div>';

		}


		return $output;
	}
	add_shortcode( 'engic_dropcap', 'engic_ext_dropcap_shortcode' );

}

/**
 * Add shortcode to Visual Composer
 */

if( !function_exists( 'engic_ext_dropcap_shortcode_params' ) ) {
	function engic_ext_dropcap_shortcode_params( $tag ) {
		return array(
			"name" => esc_html__( "Dropcap", "engic-extension" ),
			"description" => esc_html__( "Two separate styles for your dropcaps", "engic-extension" ),
			"base" => $tag,
			"class" => "",
			"icon"      => "icon-wpb-eut-dropcap",
			"category" => esc_html__( "Content", "js_composer" ),
			"params" => array(
				array(
					"type" => "dropdown",
					"heading" => esc_html__( "Style", "engic-extension" ),
					"param_name" => "dropcap_style",
					"value" => array(
						esc_html__( "Style 1", "engic-extension" ) => '1',
						esc_html__( "Style 2", "engic-extension" ) => '2',
					),
					"description" => esc_html__( "Style of the dropcap.", "engic-extension" ),
				),
				array(
					"type" => "textarea",
					"heading" => esc_html__( "Text", "engic-extension" ),
					"param_name" => "content",
					"value" => "Sample Text",
					"description" => esc_html__( "Type your dropcap text.", "engic-extension" ),
					"admin_label" => true,
				),
				array(
					"type" => "dropdown",
					"heading" => esc_html__( "Dropcap Color", "engic-extension" ),
					"param_name" => "bg_color",
					"value" => array(
						esc_html__( "Primary 1", "engic-extension" ) => 'primary-1',
						esc_html__( "Primary 2", "engic-extension" ) => 'primary-2',
						esc_html__( "Primary 3", "engic-extension" ) => 'primary-3',
						esc_html__( "Primary 4", "engic-extension" ) => 'primary-4',
						esc_html__( "Primary 5", "engic-extension" ) => 'primary-5',
						esc_html__( "Green", "engic-extension" ) => 'green',
						esc_html__( "Orange", "engic-extension" ) => 'orange',
						esc_html__( "Red", "engic-extension" ) => 'red',
						esc_html__( "Blue", "engic-extension" ) => 'blue',
						esc_html__( "Aqua", "engic-extension" ) => 'aqua',
						esc_html__( "Purple", "engic-extension" ) => 'purple',
						esc_html__( "Black", "engic-extension" ) => 'black',
						esc_html__( "Grey", "engic-extension" ) => 'grey',
					),
					"description" => esc_html__( "First character background color", "engic-extension" ),
				),
				engic_ext_vce_add_animation(),
				engic_ext_vce_add_animation_delay(),
				engic_ext_vce_add_margin_bottom(),
				engic_ext_vce_add_el_class(),
			),
		);
	}
}

if( function_exists( 'vc_lean_map' ) ) {
	vc_lean_map( 'engic_dropcap', 'engic_ext_dropcap_shortcode_params' );
} else if( function_exists( 'vc_map' ) ) {
	$attributes = engic_ext_dropcap_shortcode_params( 'engic_dropcap' );
	vc_map( $attributes );
}

//Omit closing PHP tag to avoid accidental whitespace output errors.