<?php
/**
 * Single Expandable Info Shortcode
 */

if( !function_exists( 'engic_ext_expandable_info_shortcode' ) ) {

	function engic_ext_expandable_info_shortcode( $atts, $content ) {

		$output = $button = $retina_data = $el_class = '';

		extract(
			shortcode_atts(
				array(
					'image' => '',
					'retina_image' => '',
					'align' => 'left',
					'button_text' => '',
					'button_link' => '',
					'button_type' => 'simple',
					'button_size' => 'medium',
					'button_color' => 'primary-1',
					'button_shape' => 'square',
					'button_class' => '',
					'margin_bottom' => '',
					'el_class' => '',
				),
				$atts
			)
		);

		//Button
		$button = engic_ext_vce_get_button( $button_text, $button_link, $button_type, $button_size, $button_color, $button_shape, $button_class );
		$image_string = '';

		if ( !empty( $image ) ) {

			$image_classes = array();
			$image_classes[] = 'attachment-full';
			$image_classes[] = 'size-full';
			$image_classes[] = 'eut-expandable-info-logo';
			$image_class_string = implode( ' ', $image_classes );

			$id = preg_replace('/[^\d]/', '', $image);
			$img_src = wp_get_attachment_image_src( $id, 'full' );
			if ( $img_src ) {
				$img_url = $img_src[0];
				$image_srcset = '';
				if ( !empty( $retina_image ) ) {
					$img_retina_id = preg_replace('/[^\d]/', '', $retina_image);
					$img_retina_src = wp_get_attachment_image_src( $img_retina_id, 'full' );
					if ( $img_retina_src ) {
						$retina_url = $img_retina_src[0];
						$image_srcset = esc_url( $img_url ) . ' 1x,' . esc_url( $retina_url ) . ' 2x';
						$image_string .= wp_get_attachment_image( $id, 'full' , '', array( 'class' => $image_class_string, 'srcset'=> $image_srcset ) );
					} else {
						$image_string .= wp_get_attachment_image( $id, 'full' , '', array( 'class' => $image_class_string ) );
					}
				} else {
					$image_string .= wp_get_attachment_image( $id, 'full' , '', array( 'class' => $image_class_string ) );
				}
			}
		}

		$output .= '<div class="eut-element eut-expandable-info eut-align-' . $align . ' ' . esc_attr( $el_class ) . '">';
		$output .= $image_string;
		$output .= '  <div class="eut-expandable-info-content">';
		$output .= '  	<div class="eut-expandable-info-space"></div>';
		$output .= '    <p class="eut-leader-text">' . $content. '</p>';
		$output .= $button;
		$output .= '  </div>';
		$output .= '</div>';

		return $output;
	}
	add_shortcode( 'engic_expandable_info', 'engic_ext_expandable_info_shortcode' );

}

/**
 * Add shortcode to Visual Composer
 */

if( !function_exists( 'engic_ext_expandable_info_shortcode_params' ) ) {
	function engic_ext_expandable_info_shortcode_params( $tag ) {
		return array(
			"name" => esc_html__( "Expandable Info", "engic-extension" ),
			"description" => esc_html__( "Impressive promotion for whatever you like", "engic-extension" ),
			"base" => $tag,
			"class" => "",
			"icon"      => "icon-wpb-eut-expandable-info",
			"category" => esc_html__( "Content", "js_composer" ),
			"params" => array(
				array(
					"type" => "attach_image",
					"heading" => esc_html__( "Image", "engic-extension" ),
					"param_name" => "image",
					"value" => '',
					"description" => esc_html__( "Select an image.", "engic-extension" ),
				),
				array(
					"type" => "attach_image",
					"heading" => esc_html__( "Retina Image", "engic-extension" ),
					"param_name" => "retina_image",
					"value" => '',
					"description" => esc_html__( "Select a 2x image.", "engic-extension" ),
				),
				array(
					"type" => "textarea",
					"heading" => esc_html__( "Text", "engic-extension" ),
					"param_name" => "content",
					"value" => "Sample Text",
					"description" => esc_html__( "Enter your text.", "engic-extension" ),
				),
				engic_ext_vce_add_align(),
				engic_ext_vce_add_button_type(),
				engic_ext_vce_add_button_color(),
				engic_ext_vce_add_button_text(),
				engic_ext_vce_add_button_size(),
				engic_ext_vce_add_button_shape(),
				engic_ext_vce_add_button_link(),
				engic_ext_vce_add_button_class(),
				engic_ext_vce_add_el_class(),
			),
		);
	}
}

if( function_exists( 'vc_lean_map' ) ) {
	vc_lean_map( 'engic_expandable_info', 'engic_ext_expandable_info_shortcode_params' );
} else if( function_exists( 'vc_map' ) ) {
	$attributes = engic_ext_expandable_info_shortcode_params( 'engic_expandable_info' );
	vc_map( $attributes );
}

//Omit closing PHP tag to avoid accidental whitespace output errors.