<?php
/**
 * List Shortcode
 */

if( !function_exists( 'engic_ext_list_shortcode' ) ) {

	function engic_ext_list_shortcode( $atts, $content ) {

		$el_class = '';

		extract(
			shortcode_atts(
				array(
					'icon' => 'check',
					'margin_bottom' => '',
					'el_class' => '',
				),
				$atts
			)
		);

		$style = engic_ext_vce_build_margin_bottom_style( $margin_bottom );
		$content = wpautop(preg_replace('/<\/?p\>/', "\n", $content)."\n");
		return '<div class="eut-element eut-list eut-list-' . esc_attr( $icon ) . ' ' . esc_attr( $el_class ) . '" style="' . $style . '">' . $content . '</div>';
	}
	add_shortcode( 'engic_list', 'engic_ext_list_shortcode' );

}

/**
 * Add shortcode to Visual Composer
 */

if( !function_exists( 'engic_ext_list_shortcode_params' ) ) {
	function engic_ext_list_shortcode_params( $tag ) {
		return array(
			"name" => esc_html__( "List", "engic-extension" ),
			"description" => esc_html__( "Select among several different styles", "engic-extension" ),
			"base" => $tag,
			"class" => "",
			"icon"      => "icon-wpb-eut-list",
			"category" => esc_html__( "Content", "js_composer" ),
			"params" => array(
				array(
					"type" => "engic_ext_icon",
					"heading" => esc_html__( "Icon", "engic-extension" ),
					"param_name" => "icon",
					"param_subset" => "list",
					"value" => 'check',
					"description" => esc_html__( "Select an icon.", "engic-extension" ),
					"admin_label" => true,
				),
				array(
					"type"			=> "textarea_html",
					"heading"		=> esc_html__( "List", "engic-extension" ),
					"param_name"	=> "content",
					"value"			=> "<ul><li>List 1</li><li>List 2</li><li>List 3</li><li>List 4</li></ul>",
					"description"	=> esc_html__( "Insert your unordered list here.", "engic-extension" ),
				),
				engic_ext_vce_add_margin_bottom(),
				engic_ext_vce_add_el_class(),
			),
		);
	}
}

if( function_exists( 'vc_lean_map' ) ) {
	vc_lean_map( 'engic_list', 'engic_ext_list_shortcode_params' );
} else if( function_exists( 'vc_map' ) ) {
	$attributes = engic_ext_list_shortcode_params( 'engic_list' );
	vc_map( $attributes );
}

//Omit closing PHP tag to avoid accidental whitespace output errors.