<?php
/**
 * Message Box Shortcode
 */

if( !function_exists( 'engic_ext_message_box_shortcode' ) ) {

	function engic_ext_message_box_shortcode( $atts, $content ) {

		$output = $data = $el_class = '';

		extract(
			shortcode_atts(
				array(
					'icon_library' => 'fontawesome',
					'icon_fontawesome' => 'fa fa-info-circle',
					'icon_openiconic' => 'vc-oi vc-oi-dial',
					'icon_typicons' => 'typcn typcn-adjust-brightness',
					'icon_entypo' => 'entypo-icon entypo-icon-note',
					'icon_linecons' => 'vc_li vc_li-heart',
					'icon_simplelineicons' => 'smp-icon-user',
					'bg_color' => 'green',
					'remove_close' => '',
					'animation' => '',
					'animation_delay' => '200',
					'margin_bottom' => '',
					'el_class' => '',
				),
				$atts
			)
		);

		if ( !empty( $animation ) ) {
			$animation = 'eut-' . $animation;
		}

		$message_box_classes = array( 'eut-element', 'eut-message' );

		array_push( $message_box_classes, 'eut-bg-' . $bg_color );

		if ( !empty( $animation ) ) {
			array_push( $message_box_classes, 'eut-animated-item' );
			array_push( $message_box_classes, $animation);
			$data = ' data-delay="' . esc_attr( $animation_delay ) . '"';
		}

		if ( !empty ( $el_class ) ) {
			array_push( $message_box_classes, $el_class);
		}

		$message_box_class_string = implode( ' ', $message_box_classes );


		$icon_class = isset( ${"icon_" . $icon_library} ) ? esc_attr( ${"icon_" . $icon_library} ) : 'fa fa-adjust';
		if ( function_exists( 'vc_icon_element_fonts_enqueue' ) ) {
			vc_icon_element_fonts_enqueue( $icon_library );
		}

		$style = engic_ext_vce_build_margin_bottom_style( $margin_bottom );

		$output .= '<div class="' . esc_attr( $message_box_class_string ) . '" style="' . $style . '"' . $data . '>';
		$output .= '  <i class="eut-icon '. esc_attr( $icon_class ) . '"></i>';
		$output .= '  <p>' . do_shortcode( $content ) . '</p>';
		if ( 'yes' != $remove_close ) {
			$output .= '  <i class="eut-close"></i>';
		}
		$output .= '</div>';

		return $output;
	}
	add_shortcode( 'engic_message_box', 'engic_ext_message_box_shortcode' );

}

/**
 * Add shortcode to Visual Composer
 */

if( !function_exists( 'engic_ext_message_box_shortcode_params' ) ) {
	function engic_ext_message_box_shortcode_params( $tag ) {
		return array(
			"name" => esc_html__( "Message Box", "engic-extension" ),
			"description" => esc_html__( "Info text with icons", "engic-extension" ),
			"base" => $tag,
			"class" => "",
			"icon"      => "icon-wpb-eut-message-box",
			"category" => esc_html__( "Content", "js_composer" ),
			"params" => array(
				array(
					'type' => 'dropdown',
					'heading' => esc_html__( 'Icon library', 'engic-extension' ),
					'value' => array(
						esc_html__( 'Font Awesome', 'engic-extension' ) => 'fontawesome',
						esc_html__( 'Open Iconic', 'engic-extension' ) => 'openiconic',
						esc_html__( 'Typicons', 'engic-extension' ) => 'typicons',
						esc_html__( 'Entypo', 'engic-extension' ) => 'entypo',
						esc_html__( 'Linecons', 'engic-extension' ) => 'linecons',
						esc_html__( 'Simple Line Icons', 'engic-extension' ) => 'simplelineicons',
					),
					'param_name' => 'icon_library',
					'description' => esc_html__( 'Select icon library.', 'engic-extension' ),
				),
				array(
					'type' => 'iconpicker',
					'heading' => esc_html__( 'Icon', 'engic-extension' ),
					'param_name' => 'icon_fontawesome',
					'value' => 'fa fa-info-circle',
					'settings' => array(
						'emptyIcon' => false, // default true, display an "EMPTY" icon?
						'iconsPerPage' => 200, // default 100, how many icons per/page to display
					),
					'dependency' => array(
						'element' => 'icon_library',
						'value' => 'fontawesome',
					),
					'description' => esc_html__( 'Select icon from library.', 'engic-extension' ),
				),
				array(
					'type' => 'iconpicker',
					'heading' => esc_html__( 'Icon', 'engic-extension' ),
					'param_name' => 'icon_openiconic',
					'value' => 'vc-oi vc-oi-dial',
					'settings' => array(
						'emptyIcon' => false, // default true, display an "EMPTY" icon?
						'type' => 'openiconic',
						'iconsPerPage' => 200, // default 100, how many icons per/page to display
					),
					'dependency' => array(
						'element' => 'icon_library',
						'value' => 'openiconic',
					),
					'description' => esc_html__( 'Select icon from library.', 'engic-extension' ),
				),
				array(
					'type' => 'iconpicker',
					'heading' => esc_html__( 'Icon', 'engic-extension' ),
					'param_name' => 'icon_typicons',
					'value' => 'typcn typcn-adjust-brightness',
					'settings' => array(
						'emptyIcon' => false, // default true, display an "EMPTY" icon?
						'type' => 'typicons',
						'iconsPerPage' => 200, // default 100, how many icons per/page to display
					),
					'dependency' => array(
						'element' => 'icon_library',
						'value' => 'typicons',
					),
					'description' => esc_html__( 'Select icon from library.', 'engic-extension' ),
				),
				array(
					'type' => 'iconpicker',
					'heading' => esc_html__( 'Icon', 'engic-extension' ),
					'param_name' => 'icon_entypo',
					'value' => 'entypo-icon entypo-icon-note',
					'settings' => array(
						'emptyIcon' => false, // default true, display an "EMPTY" icon?
						'type' => 'entypo',
						'iconsPerPage' => 300, // default 100, how many icons per/page to display
					),
					'dependency' => array(
						'element' => 'icon_library',
						'value' => 'entypo',
					),
				),
				array(
					'type' => 'iconpicker',
					'heading' => esc_html__( 'Icon', 'engic-extension' ),
					'param_name' => 'icon_linecons',
					'value' => 'vc_li vc_li-heart',
					'settings' => array(
						'emptyIcon' => false, // default true, display an "EMPTY" icon?
						'type' => 'linecons',
						'iconsPerPage' => 200, // default 100, how many icons per/page to display
					),
					'dependency' => array(
						'element' => 'icon_library',
						'value' => 'linecons',
					),
					'description' => esc_html__( 'Select icon from library.', 'engic-extension' ),
				),
				array(
					'type' => 'iconpicker',
					'heading' => esc_html__( 'Icon', 'engic-extension' ),
					'param_name' => 'icon_simplelineicons',
					'value' => 'smp-icon-user',
					'settings' => array(
						'emptyIcon' => false,
						'type' => 'simplelineicons',
						'iconsPerPage' => 200,
					),
					'dependency' => array(
						'element' => 'icon_library',
						'value' => 'simplelineicons',
					),
					'description' => esc_html__( 'Select icon from library.', 'engic-extension' ),
				),
				array(
					"type" => "textarea",
					"heading" => esc_html__( "Text", "engic-extension" ),
					"param_name" => "content",
					"value" => "Sample Text",
					"description" => esc_html__( "Enter your content.", "engic-extension" ),
					"admin_label" => true,
				),
				array(
					"type" => "dropdown",
					"heading" => esc_html__( "Background Color", "engic-extension" ),
					"param_name" => "bg_color",
					"value" => array(
						esc_html__( "Primary 1", "engic-extension" ) => 'primary-1',
						esc_html__( "Primary 2", "engic-extension" ) => 'primary-2',
						esc_html__( "Primary 3", "engic-extension" ) => 'primary-3',
						esc_html__( "Primary 4", "engic-extension" ) => 'primary-4',
						esc_html__( "Primary 5", "engic-extension" ) => 'primary-5',
						esc_html__( "Green", "engic-extension" ) => 'green',
						esc_html__( "Orange", "engic-extension" ) => 'orange',
						esc_html__( "Red", "engic-extension" ) => 'red',
						esc_html__( "Blue", "engic-extension" ) => 'blue',
						esc_html__( "Aqua", "engic-extension" ) => 'aqua',
						esc_html__( "Purple", "engic-extension" ) => 'purple',
						esc_html__( "Black", "engic-extension" ) => 'black',
						esc_html__( "Grey", "engic-extension" ) => 'grey',
						esc_html__( "White", "engic-extension" ) => 'white',
					),
					"description" => esc_html__( "Background color of the box.", "engic-extension" ),
					"admin_label" => true,
					'std' => 'green',
				),
				array(
					"type" => 'checkbox',
					"heading" => esc_html__( "Remove Close Button", "engic-extension" ),
					"param_name" => "remove_close",
					"value" => Array( esc_html__( "If selected, close button will be removed", "engic-extension" ) => 'yes' ),
				),
				engic_ext_vce_add_animation(),
				engic_ext_vce_add_animation_delay(),
				engic_ext_vce_add_margin_bottom(),
				engic_ext_vce_add_el_class(),
			),
		);
	}
}

if( function_exists( 'vc_lean_map' ) ) {
	vc_lean_map( 'engic_message_box', 'engic_ext_message_box_shortcode_params' );
} else if( function_exists( 'vc_map' ) ) {
	$attributes = engic_ext_message_box_shortcode_params( 'engic_message_box' );
	vc_map( $attributes );
}

//Omit closing PHP tag to avoid accidental whitespace output errors.