<?php
/**
 * Title Shortcode
 */

if( !function_exists( 'engic_ext_title_shortcode' ) ) {

	function engic_ext_title_shortcode( $atts, $content ) {

		$output = $data = $el_class = '';

		extract(
			shortcode_atts(
				array(
					'title' => '',
					'heading' => 'h3',
					'line_type' => 'no-line',
					'align' => 'left',
					'animation' => '',
					'animation_delay' => '200',
					'margin_bottom' => '',
					'el_class' => '',
				),
				$atts
			)
		);

		if ( !empty( $animation ) ) {
			$animation = 'eut-' . $animation;
		}

		$style = engic_ext_vce_build_margin_bottom_style( $margin_bottom );

		$title_classes = array( 'eut-element' );

		array_push( $title_classes, 'eut-align-' . $align );
		array_push( $title_classes, 'eut-title-' . $line_type );


		if ( !empty( $animation ) ) {
			array_push( $title_classes, 'eut-animated-item' );
			array_push( $title_classes, $animation);
			$data = ' data-delay="' . esc_attr( $animation_delay ) . '"';
		}

		if ( !empty( $el_class ) ) {
			array_push( $title_classes, $el_class );
		}

		$title_class_string = implode( ' ', $title_classes );

		$output .= '<' . $heading . ' class="' . esc_attr( $title_class_string ) . '" style="' . $style . '"' . $data . '><span>' . $title . '</span></' . $heading . '>';

		return $output;
	}
	add_shortcode( 'engic_title', 'engic_ext_title_shortcode' );

}

/**
 * Add shortcode to Visual Composer
 */

if( !function_exists( 'engic_ext_title_shortcode_params' ) ) {
	function engic_ext_title_shortcode_params( $tag ) {
		return array(
			"name" => esc_html__( "Title", "engic-extension" ),
			"description" => esc_html__( "Add a title in many and diverse ways", "engic-extension" ),
			"base" => $tag,
			"class" => "",
			"icon"      => "icon-wpb-eut-title",
			"category" => esc_html__( "Content", "js_composer" ),
			"params" => array(
				array(
					"type" => "textfield",
					"heading" => esc_html__( "Title", "engic-extension" ),
					"param_name" => "title",
					"value" => "Sample Title",
					"description" => esc_html__( "Enter your title here.", "engic-extension" ),
					"save_always" => true,
					"admin_label" => true,
				),
				array(
					"type" => "dropdown",
					"heading" => esc_html__( "Heading", "engic-extension" ),
					"param_name" => "heading",
					"admin_label" => true,
					"value" => array( 'h1', 'h2', 'h3', 'h4' , 'h5', 'h6' ),
					"description" => esc_html__( "Heading size", "engic-extension" ),
					"std" => "h3",
				),
				array(
					"type" => "dropdown",
					"heading" => esc_html__( "Line type", "engic-extension" ),
					"param_name" => "line_type",
					"value" => array(
						esc_html__( "None", "engic-extension" ) => 'no-line',
						esc_html__( "Simple", "engic-extension" ) => 'line',
						esc_html__( "Double", "engic-extension" ) => 'double-line',
						esc_html__( "Double Bottom", "engic-extension" ) => 'double-bottom-line',
					),
					"description" => '',
				),
				engic_ext_vce_add_align(),
				engic_ext_vce_add_animation(),
				engic_ext_vce_add_animation_delay(),
				engic_ext_vce_add_margin_bottom(),
				engic_ext_vce_add_el_class(),
			),
		);
	}
}

if( function_exists( 'vc_lean_map' ) ) {
	vc_lean_map( 'engic_title', 'engic_ext_title_shortcode_params' );
} else if( function_exists( 'vc_map' ) ) {
	$attributes = engic_ext_title_shortcode_params( 'engic_title' );
	vc_map( $attributes );
}

//Omit closing PHP tag to avoid accidental whitespace output errors.